Package org.apache.ignite.internal.processors.cache.extras

## Class GridCacheTtlEntryExtras

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter
  - - org.apache.ignite.internal.processors.cache.extras.GridCacheTtlEntryExtras

All Implemented Interfaces:
  `GridCacheEntryExtras`

    public class GridCacheTtlEntryExtras
    extends GridCacheEntryExtrasAdapter

Extras where TTL and expire time are set.

### Constructor Summary

Constructors
`GridCacheTtlEntryExtras​(long ttl, long expireTime)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `expireTime()`
`GridCacheEntryExtras` `mvcc​(GridCacheMvcc mvcc)`
`GridCacheEntryExtras` `obsoleteVersion​(GridCacheVersion obsoleteVer)`
`int` `size()`
`String` `toString()`
`long` `ttl()`
`GridCacheEntryExtras` `ttlAndExpireTime​(long ttl, long expireTime)`

### Methods inherited from class org.apache.ignite.internal.processors.cache.extras.GridCacheEntryExtrasAdapter

`mvcc, obsoleteVersion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheTtlEntryExtras

    public GridCacheTtlEntryExtras​(long ttl,
                                   long expireTime)

Constructor.

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.

### Method Detail

#### mvcc

    public GridCacheEntryExtras mvcc​(GridCacheMvcc mvcc)

Parameters:
  `mvcc` - MVCC.
Returns:
  Updated extras.

#### obsoleteVersion

    public GridCacheEntryExtras obsoleteVersion​(GridCacheVersion obsoleteVer)

Parameters:
  `obsoleteVer` - Obsolete version.
Returns:
  Updated extras.

#### ttl

    public long ttl()

Specified by:
  `ttl` in interface `GridCacheEntryExtras`
Overrides:
  `ttl` in class `GridCacheEntryExtrasAdapter`
Returns:
  TTL.

#### expireTime

    public long expireTime()

Specified by:
  `expireTime` in interface `GridCacheEntryExtras`
Overrides:
  `expireTime` in class `GridCacheEntryExtrasAdapter`
Returns:
  Expire time.

#### ttlAndExpireTime

    public GridCacheEntryExtras ttlAndExpireTime​(long ttl,
                                                 long expireTime)

Parameters:
  `ttl` - TTL.
  `expireTime` - Expire time.
Returns:
  Updated extras.

#### size

    public int size()

Returns:
  Extras size.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`